let experiments = document.querySelector('.experiments-content')
if (experiments) {
    let h2Title = document.querySelectorAll('h2')
    let catlogue = document.querySelectorAll('.content-item')
    let pullDown = document.querySelector('.design-img2')
    let picture = document.querySelector('.design-img')
    let longan = document.querySelector('.longan')

    for (let i = 0; i < catlogue.length; i++) {
        catlogue[i].innerHTML = h2Title[i].innerText
        catlogue[i].onclick = function () {
            for (let j = 0; j < catlogue.length; j++) {
                if (j != i) {
                    catlogue[j].classList.remove('active')
                }
            }
            document.documentElement.scrollTop = h2Title[i].offsetTop - 100
            catlogue[i].classList.add('active')
        }
    }
    window.addEventListener('scroll', function () {
        if (document.documentElement.scrollTop >= picture.scrollHeight) {
            longan.style.display = 'block'
            longan.classList.add('run')
        }
        //所有锚点元素的 offsetTop
        const offsetTopArr = [];
        h2Title.forEach((item) => {
            offsetTopArr.push(item.offsetTop);
        });
        // 获取当前文档流的 scrollTop
        const scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;

        // 定义当前点亮的导航下标
        for (let i = 0; i < offsetTopArr.length; i++) {
            if ((scrollTop + 200) >= offsetTopArr[i]) {
                catlogue[i].classList.add('active')
                for (let j = 0; j < catlogue.length; j++) {
                    if (j != i) {
                        catlogue[j].classList.remove('active')
                    }
                }
            } else {
                catlogue[i].classList.remove('active')
            }
        }
    })

    // 小人跑进来动画
    pullDown.onclick = function () {
        var timer;
        timer = setInterval(function () {
            document.documentElement.scrollTop = document.documentElement.scrollTop + 20
            if (document.documentElement.scrollTop >= picture.scrollHeight) {
                longan.style.display = 'block'
                longan.classList.add('run')
                clearInterval(timer)
            }
        }, 100)
    }

}

